diff --git a/lib/libzfs/libzfs_util.c b/lib/libzfs/libzfs_util.c
index 678eeadc041..b21dd4c2b8f 100644
--- a/lib/libzfs/libzfs_util.c
+++ b/lib/libzfs/libzfs_util.c
@@ -605,7 +605,7 @@ zfs_nicenum(uint64_t num, char *buf, size_t buflen)
 	u = " KMGTPE"[index];
 
 	if (index == 0) {
-		(void) snprintf(buf, buflen, "%llu", (u_longlong_t) n);
+		(void) snprintf(buf, buflen, "%lluB", (u_longlong_t) n);
 	} else if ((num & ((1ULL << 10 * index) - 1)) == 0) {
 		/*
 		 * If this is an even multiple of the base, always display
